=== debian/changelog ===
vqmt-dmo (1:1.1.25.g640a3a8-dmo3) unstable; urgency=medium

  * Build with opencv 4.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Jul 2022 07:32:59 +0200

vqmt-dmo (1:1.1.25.g640a3a8-dmo2) unstable; urgency=medium

  * Build with opencv 4.5d

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Nov 2021 08:52:25 +0100

vqmt-dmo (1:1.1.25.g640a3a8-dmo1) unstable; urgency=medium

  * Update package version with the version provided by git describe.
  * Fix build for aches other than amd64/i386

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 May 2021 14:26:42 +0200

vqmt-dmo (1.1.git640a3a8-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 May 2021 11:30:25 +0200
