=== debian/control ===
Source: vqmt-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.epfl.ch/labs/mmspg/downloads/vqmt/
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13), cmake, libopencv-dev, ninja-build,
 quilt

Package: vqmt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Video Quality Measurement Tool.
 This software provides fast implementations of the following objective
 metrics:
 .
  *  PSNR: Peak Signal-to-Noise Ratio,
  *  SSIM: Structural Similarity,
  *  MS-SSIM: Multi-Scale Structural Similarity,
  *  VIFp: Visual Information Fidelity, pixel domain version,
  *  PSNR-HVS: Peak Signal-to-Noise Ratio taking into account Contrast
     Sensitivity Function (CSF),
  *  PSNR-HVS-M: Peak Signal-to-Noise Ratio taking into account Contrast
     Sensitivity Function (CSF) and between-coefficient contrast masking of
     DCT basis functions.
