=== debian/watch ===
version=4

https://github.com/rolinh/vqmt/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
